# This is a StreamingLoadTool config file

#player user agent name
player QTS

# Use the "clienttype" directive to specify whether StreamingLoadTool should make
# RTSP / UDP connections or RTSP / HTTP connections or . Say "http" for
# the latter, "udp" for the former. Say "reliableudp" for reliable UDP.
# Say "tcp" for straight interleaved RTSP / RTP
clienttype udp

# If doing RTSP / HTTP, set droppost to "yes" if you would like StreamingLoadTool
# to drop the POST half of each RTSP / HTTP connection after sending the
# PLAY. "yes" best emulates the "real" client behavior.
droppost yes

# Set this to the # of concurrent clients you would like StreamingLoadTool to maintain(default = 1)
# When not running forever, this is also the number of clients to load before exiting
concurrentclients	1

# Specify a connection port for each connection(default 554)
port		554

# Specify a proxy IP address in dotted-decimal form. If 0, StreamingLoadTool
# will not use a proxy to connect
proxyip		0

# Client window (size of UDP socket buffers). Default = 32768
# For reliable UDP, this affects packet loss and the server's retransmission algorithm
clientwindow 32768

# StreamingLoadTool should send a TEARDOWN after streaming for this # of seconds
movielength	60

# If runforever is set to "no", StreamingLoadTool will quit after finishing the
# list of URLs provided below. If "yes" StreamingLoadTool will loop forever. (Default = no)
runforever no

# Each instance of StreamingLoadTool must have a unique httpcookie value. This
# can also be specified on the command-line (see usage by doing StreamingLoadTool -v) (Default = 1)
httpcookie	1

# Set to "yes" if you would like StreamingLoadTool to generate a connection log
shouldlog	yes

# Append junk data after each DESCRIBE request
appendjunk	no

# Location to place the connection log
logpath		streamingloadtool.log

# Interval in milliseconds between attempts to read media data. For acking
# udp clients, this is also the interval between acks. (Default = 50 milliseconds)
readinterval 10

# how late should packets be allowed to be sent? Value is in seconds.
# 0 = no late tolerance will be specified at all
latetolerance 0

# The "Packet-Range" header is used as an alternative to the standard "Range"
# header on a Play request for specifying a range of packets. Leave
# this line blank to issue a standard play, specify a packet range header
# here to send that instead of standard Range header.
packetplayheader

# The overbuffer window size is the number of K bytes the server can send
# ahead of time. This applies to all transports except "udp".
overbufferwindowsize 5192

# Set this to be the value of the x-RTP-Meta-Info header sent to the server.
# If it is empty, no x-RTP-Meta-Info header will be sent. Otherwise, specify
# the fields you would like to receive
# rtpmetainfo tt;ft;pn;fd;md;sq

# Set this to be the speed you want the streams at (1 = normal speed, 2 = 2x normal speed, etc; float)
speed	1

# Enable this to have StreamingLoadTool randomly thumb around
randomthumb no

# Set sendoptions "yes" to send an OPTIONS request before executing each DESCRIBE request
sendoptions no

# Set requestrandomdata "yes" to send an OPTIONS request with a random data request header before executing each DESCRIBE request
requestrandomdata no

# How many random bytes the server should send in the body of the OPTIONS response
randomdatasize 0

# How often should the client send RTCP messages in milliseconds. (Default = 5000; ACK's in reliableudp are sent ASAP)
rtcpinterval 1000

# List of rtsp URLs for StreamingLoadTool to execute
url rtsp://foo.bar.com/sample.mov

# List of users:passwords for authentication (format: user:password)
user user0:pass0

#The advertised bandwidth in bps (default: not sent)
bandwidth 31235

#The player buffer space per stream in bytes. Default of 0 is unlimited
buffer 15000

#target delay in milliseconds.  Default 3000.  Use 0 to turn it off
#This is the desired amount of playback time to keep in the buffer.
delay 10000

#Start play time delay; expressed as a fraction of the target delay.  This is how much data there should be in the buffer before
#the media starts playing.  Use 0.0 to start playing immediately, and 1.0 to start playing when the target delay has been met. Default = 5.0
startdelay 0.5

#Turn on 3GPP features and headers? 3GPP should be not be enabled on reliableudp transport; default = no
enable3GPP yes

# The advertised guarenteed bit rate(GBW), maximum bit rate(MBW), and maximum transfer delay(MTD) for the wireless link
# Units are in kilobits per seconds and milliseconds.
# Default = 0 = no specified value
#GBW 32
#MBW 128
#MTD 2000

# Enable a forced PlayoutDelay value for 3GPP RTCP packets (The value defined for the playoutDelay preference will be sent)
enableForcePlayoutDelay no

# PlayoutDelay value to use if enableForcePlayoutDelay is enabled
playoutDelay 65535
